<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>RegisterModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="856pt" height="284pt"
 viewBox="0.00 0.00 856.00 284.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 280)">
<title>dependencies</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-280 852,-280 852,4 -4,4"/>
<text text-anchor="start" x="403.0091" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00" fill="#000000">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="190,-10 190,-30 210,-30 210,-10 190,-10"/>
<text text-anchor="start" x="213.629" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="303,-10 303,-30 323,-30 323,-10 303,-10"/>
<text text-anchor="start" x="326.7251" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="389,-10 389,-30 409,-30 409,-10 389,-10"/>
<text text-anchor="start" x="412.7812" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="486,-10 486,-30 506,-30 506,-10 486,-10"/>
<text text-anchor="start" x="509.6732" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="582,-10 582,-30 602,-30 602,-10 582,-10"/>
<text text-anchor="start" x="605.7258" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_RegisterModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="8,-70 8,-268 840,-268 840,-70 8,-70"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_RegisterModule_declarations</title>
<polygon fill="none" stroke="#000000" points="306,-78 306,-130 832,-130 832,-78 306,-78"/>
</g>
<g id="clust6" class="cluster">
<title>cluster_RegisterModule_imports</title>
<polygon fill="none" stroke="#000000" points="184,-78 184,-130 298,-130 298,-78 184,-78"/>
</g>
<g id="clust7" class="cluster">
<title>cluster_RegisterModule_exports</title>
<polygon fill="none" stroke="#000000" points="124,-208 124,-260 660,-260 660,-208 124,-208"/>
</g>
<g id="clust9" class="cluster">
<title>cluster_RegisterModule_providers</title>
<polygon fill="none" stroke="#000000" points="16,-78 16,-130 176,-130 176,-78 16,-78"/>
</g>
<!-- RegisterCardComponent -->
<g id="node1" class="node">
<title>RegisterCardComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="823.6965,-122 668.3035,-122 668.3035,-86 823.6965,-86 823.6965,-122"/>
<text text-anchor="middle" x="746" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">RegisterCardComponent</text>
</g>
<!-- RegisterModule -->
<g id="node4" class="node">
<title>RegisterModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="452.2022,-187 449.2022,-191 428.2022,-191 425.2022,-187 345.7978,-187 345.7978,-151 452.2022,-151 452.2022,-187"/>
<text text-anchor="middle" x="399" y="-164.8" font-family="Times,serif" font-size="14.00" fill="#000000">RegisterModule</text>
</g>
<!-- RegisterCardComponent&#45;&gt;RegisterModule -->
<g id="edge1" class="edge">
<title>RegisterCardComponent&#45;&gt;RegisterModule</title>
<path fill="none" stroke="#000000" d="M746,-122.1061C746,-141.3391 746,-169 746,-169 746,-169 462.4583,-169 462.4583,-169"/>
<polygon fill="#000000" stroke="#000000" points="462.4583,-165.5001 452.4583,-169 462.4583,-172.5001 462.4583,-165.5001"/>
</g>
<!-- RegisterListComponent -->
<g id="node2" class="node">
<title>RegisterListComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="650.7632,-122 501.2368,-122 501.2368,-86 650.7632,-86 650.7632,-122"/>
<text text-anchor="middle" x="576" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">RegisterListComponent</text>
</g>
<!-- RegisterListComponent&#45;&gt;RegisterModule -->
<g id="edge2" class="edge">
<title>RegisterListComponent&#45;&gt;RegisterModule</title>
<path fill="none" stroke="#000000" d="M576,-122.027C576,-138.3976 576,-160 576,-160 576,-160 462.1058,-160 462.1058,-160"/>
<polygon fill="#000000" stroke="#000000" points="462.1059,-156.5001 452.1058,-160 462.1058,-163.5001 462.1059,-156.5001"/>
</g>
<!-- RegisterUploadComponent -->
<g id="node3" class="node">
<title>RegisterUploadComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="483.6965,-122 314.3035,-122 314.3035,-86 483.6965,-86 483.6965,-122"/>
<text text-anchor="middle" x="399" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">RegisterUploadComponent</text>
</g>
<!-- RegisterUploadComponent&#45;&gt;RegisterModule -->
<g id="edge3" class="edge">
<title>RegisterUploadComponent&#45;&gt;RegisterModule</title>
<path fill="none" stroke="#000000" d="M399,-122.1061C399,-122.1061 399,-140.991 399,-140.991"/>
<polygon fill="#000000" stroke="#000000" points="395.5001,-140.9909 399,-150.991 402.5001,-140.991 395.5001,-140.9909"/>
</g>
<!-- RegisterCardComponent  -->
<g id="node6" class="node">
<title>RegisterCardComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="652.1967,-252 493.8033,-252 493.8033,-216 652.1967,-216 652.1967,-252"/>
<text text-anchor="middle" x="573" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">RegisterCardComponent </text>
</g>
<!-- RegisterModule&#45;&gt;RegisterCardComponent  -->
<g id="edge5" class="edge">
<title>RegisterModule&#45;&gt;RegisterCardComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M452.2239,-178C475.4055,-178 497.3852,-178 497.3852,-178 497.3852,-178 497.3852,-205.973 497.3852,-205.973"/>
<polygon fill="#000000" stroke="#000000" points="493.8852,-205.973 497.3852,-215.973 500.8852,-205.973 493.8852,-205.973"/>
</g>
<!-- RegisterListComponent  -->
<g id="node7" class="node">
<title>RegisterListComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="475.7632,-252 322.2368,-252 322.2368,-216 475.7632,-216 475.7632,-252"/>
<text text-anchor="middle" x="399" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">RegisterListComponent </text>
</g>
<!-- RegisterModule&#45;&gt;RegisterListComponent  -->
<g id="edge6" class="edge">
<title>RegisterModule&#45;&gt;RegisterListComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M399,-187.1061C399,-187.1061 399,-205.991 399,-205.991"/>
<polygon fill="#000000" stroke="#000000" points="395.5001,-205.9909 399,-215.991 402.5001,-205.991 395.5001,-205.9909"/>
</g>
<!-- RegisterUploadComponent  -->
<g id="node8" class="node">
<title>RegisterUploadComponent </title>
<polygon fill="#fb8072" stroke="#000000" points="304.1967,-252 131.8033,-252 131.8033,-216 304.1967,-216 304.1967,-252"/>
<text text-anchor="middle" x="218" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">RegisterUploadComponent </text>
</g>
<!-- RegisterModule&#45;&gt;RegisterUploadComponent  -->
<g id="edge7" class="edge">
<title>RegisterModule&#45;&gt;RegisterUploadComponent </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M345.7565,-178C321.1452,-178 297.2797,-178 297.2797,-178 297.2797,-178 297.2797,-205.973 297.2797,-205.973"/>
<polygon fill="#000000" stroke="#000000" points="293.7797,-205.973 297.2797,-215.973 300.7797,-205.973 293.7797,-205.973"/>
</g>
<!-- SharedModule -->
<g id="node5" class="node">
<title>SharedModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="290.4231,-122 287.4231,-126 266.4231,-126 263.4231,-122 191.5769,-122 191.5769,-86 290.4231,-86 290.4231,-122"/>
<text text-anchor="middle" x="241" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">SharedModule</text>
</g>
<!-- SharedModule&#45;&gt;RegisterModule -->
<g id="edge4" class="edge">
<title>SharedModule&#45;&gt;RegisterModule</title>
<path fill="none" stroke="#000000" d="M241,-122.027C241,-138.3976 241,-160 241,-160 241,-160 335.5084,-160 335.5084,-160"/>
<polygon fill="#000000" stroke="#000000" points="335.5084,-163.5001 345.5084,-160 335.5084,-156.5001 335.5084,-163.5001"/>
</g>
<!-- RegisterService -->
<g id="node9" class="node">
<title>RegisterService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="96" cy="-104" rx="72.3439" ry="18"/>
<text text-anchor="middle" x="96" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">RegisterService</text>
</g>
<!-- RegisterService&#45;&gt;RegisterModule -->
<g id="edge8" class="edge">
<title>RegisterService&#45;&gt;RegisterModule</title>
<path fill="none" stroke="#000000" d="M149.9118,-116.226C149.9118,-135.0549 149.9118,-169 149.9118,-169 149.9118,-169 335.8698,-169 335.8698,-169"/>
<polygon fill="#000000" stroke="#000000" points="335.8699,-172.5001 345.8698,-169 335.8698,-165.5001 335.8699,-172.5001"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/operation/voting-material/register/register.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Declarations<a href="https://angular.io/api/core/NgModule#declarations" target="_blank"
                            title="Official documentation about module declarations"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/RegisterCardComponent.html">RegisterCardComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/RegisterListComponent.html">RegisterListComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/RegisterUploadComponent.html">RegisterUploadComponent</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Providers<a href="https://angular.io/api/core/NgModule#providers" target="_blank"
                            title="Official documentation about module providers"><span class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../injectables/RegisterService.html">RegisterService</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Imports<a href="https://angular.io/api/core/NgModule#imports" target="_blank" title="Official documentation about module imports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../modules/SharedModule.html">SharedModule</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Exports<a href="https://angular.io/api/core/NgModule#exports" target="_blank" title="Official documentation about module exports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/RegisterCardComponent.html">RegisterCardComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/RegisterListComponent.html">RegisterListComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/RegisterUploadComponent.html">RegisterUploadComponent</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { NgModule } from &#x27;@angular/core&#x27;;

import { SharedModule } from &#x27;../../../shared/shared.module&#x27;;
import { RegisterService } from &#x27;./services/register.service&#x27;;
import { RegisterListComponent } from &#x27;./register-list.component&#x27;;
import { RegisterUploadComponent } from &#x27;./register-upload/register-upload.component&#x27;;
import { RegisterCardComponent } from &#x27;./register-card/register-card.component&#x27;;

@NgModule({
  imports: [
    SharedModule
  ],
  declarations: [
    RegisterListComponent,
    RegisterUploadComponent,
    RegisterCardComponent
  ],
  providers: [
    RegisterService
  ],
  exports: [
    RegisterCardComponent,
    RegisterListComponent,
    RegisterUploadComponent,
  ]
})
export class RegisterModule {
}


</code></pre>
    </div>
</div>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'RegisterModule.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
